<template>
  <div id="login">
    <input type="text" v-model="username" placeholder="username" />
    <input type="password" v-model="password" placeholder="password" />
    <button @click="Login">zaloguj</button>

    <span id="error_message">{{error_message}}</span>
  </div>
</template>

<script>
import axios from "axios";
import router from "../router";
import store from "../store";
import { loginHandle } from "../utils/authUtils";

const api_token_url = "http://127.0.0.1:8000/auth/jwt/create/";

export default {
  name: "Login",
  data: function() {
    return {
      username: "",
      password: "",
      error_message: ""
    };
  },

  methods: {
    Login() {
      axios
        .post(api_token_url, {
          username: this.username,
          password: this.password
        })
        .then(response => {
          console.log("res from login", response);
          loginHandle(response);
          this.$store.commit('updateLogin');
          this.$store.commit('updateUser');
          router.push("/");
        })
        .catch(error => {
          console.log("login error", error);
          if (error.response && error.response.status === 401) {
            this.error_message = "Incorrect login or password";
          } else {
            this.error_message = "Unknown error was occur";
          }
        });
    }
  }
};
</script>

<style scoped>
#login {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-left: 40%;
  margin-right: 40%;
}
input {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  text-align: center;
}
#error_message {
  color: red;
}
</style>>